%global gem_name        rspec
%global rpmgem_name     rspec2
%global __requires_exclude_from %{gem_spec}
Summary:        Behaviour driven development (BDD) framework for Ruby
Name:           rubygem-%{rpmgem_name}
Version:        2.14.1
Release:        1
License:        MIT
URL:            http://rspec.info
Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:       rubygem(rspec2-core)    rubygem(rspec2-mocks)   rubygem(rspec2-expectations)
Requires:       ruby(release)
BuildRequires:  rubygems-devel  ruby(release)
BuildArch:      noarch
Provides:       rubygem(%{rpmgem_name}) = %{version}-%{release}
Obsoletes:      rubygem-rspec < 2.14.1-1
%description
RSpec is a behaviour driven development (BDD) framework for Ruby.

%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      rubygem-rspec-doc < %{version}-%{release}
%description    doc
This package contains documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem specification %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir    %{gem_instdir}
%{gem_instdir}/lib
%license        %{gem_instdir}/License.txt
%doc    %{gem_instdir}/README.md
%exclude %{gem_cache}
%{gem_spec}

%files  doc
%doc    %{gem_docdir}

%changelog
* Mon Aug 24 2020 huangyangke <huangyangke@huawei.com> - 2.14.1-1
- package init
